Whats wrong with the deb repostories?

Post your update and upgrade related errors here
Forum rules
Before you post please read this

Whats wrong with the deb repostories?

Postby 2chunky on Wed Jan 11, 2012 8:01 pm

LMDE 2011 version.Cant install with synaptic ffmpeg,blender,etc,etc,etc.Says they have dep"s that will not be loaded, then there deps have deps that will not be loaded.I cant load from synaptic.Is this a bug or what?
2chunky
Level 1
Level 1
 
Posts: 36
Joined: Sun Nov 13, 2011 10:51 pm

Linux Mint is funded by ads and donations.
 

Re: Whats wrong with the deb repostories?

Postby Oscar799 on Thu Jan 12, 2012 5:14 am

Moved here by moderator
Image
"Don't fix it if it ain't broken,don't break it if you can't fix it" Husse
Registered Linux User #511789
User avatar
Oscar799
Level 18
Level 18
 
Posts: 8826
Joined: Tue Aug 11, 2009 9:21 am
Location: United Kingdom

Re: Whats wrong with the deb repostories?

Postby Gerd50 on Thu Jan 12, 2012 5:46 am

I think something is wrong with your sources.list. What is the output of

Code: Select all
inxi -r
?
I believe in everything, except humans.

LM9, Debian Testing Xfce, Debian Sid Xfce - CPU/Amd64 2,6Ghz, Graphics/Nvidia 9600 GT, Sound/SB Audigy4 emu10K1
User avatar
Gerd50
Level 5
Level 5
 
Posts: 738
Joined: Wed Jul 22, 2009 3:42 pm
Location: Fishtown, Germany

Re: Whats wrong with the deb repostories?

Postby DataMan on Thu Jan 12, 2012 5:52 am

Do you have your repositories lined up to the correct sources?

http://forums.linuxmint.com/viewtopic.php?f=197&t=79533

-DataMan
Linux'd since 2005 Linux ID 422356 Ubuntu ID 15015
User avatar
DataMan
Level 6
Level 6
 
Posts: 1202
Joined: Thu Dec 04, 2008 6:47 am
Location: Carmel, Indiana USA at /var/www

Re: Whats wrong with the deb repostories?

Postby 2chunky on Sun Jan 15, 2012 9:23 pm

Excuse me but the repositories are on the disk standard.With this disk blender wont download, and some other programs.I have been able to get some to download like firestarter.I am using synaptic or apt-get.I am guessing the deps are not in the repos.Thanks.
2chunky
Level 1
Level 1
 
Posts: 36
Joined: Sun Nov 13, 2011 10:51 pm

Re: Whats wrong with the deb repostories?

Postby zerozero on Sun Jan 15, 2012 9:27 pm

2chunky,
as was requested above can you share with us the output of this terminal command
Code: Select all
inxi -r

many thanks
zerozero
Level 16
Level 16
 
Posts: 6471
Joined: Tue Jul 07, 2009 2:29 pm

Re: Whats wrong with the deb repostories?

Postby 2chunky on Sun Jan 15, 2012 9:39 pm

Maybe double post because I dont see it updated in forum so posting again.I cant download some programs like blender,says there deps files dont exist, and some other programs as well.I can download firestarter firewall for instance.I am using the synaptic and apt-get package managers.Its several programs I have tried to download with no luck and tried just some build deps that would not download.Keep getting error messages "files dont exist".Thanks
2chunky
Level 1
Level 1
 
Posts: 36
Joined: Sun Nov 13, 2011 10:51 pm

Re: Whats wrong with the deb repostories?

Postby 2chunky on Sun Jan 15, 2012 9:41 pm

oh here goes
Repos: Active apt sources in file: /etc/apt/sources.list
deb http://packages.linuxmint.com/ debian main upstream import
deb http://debian.linuxmint.com/latest testing main contrib non-free
deb http://security.debian.org/ testing/updates main contrib non-free
deb http://www.debian-multimedia.org testing main non-free
2chunky
Level 1
Level 1
 
Posts: 36
Joined: Sun Nov 13, 2011 10:51 pm

Re: Whats wrong with the deb repostories?

Postby zerozero on Sun Jan 15, 2012 9:53 pm

well i'm not surprised you are getting those errors, your repos are not synced with latest (the main problem being multimedia)
did you read this:
Update Pack 2 and Update Pack 3:

This release comes with Update Pack 2 and points to the “Linux Mint Debian Latest” repository as well as the Debian “Security” and “Multimedia” repositories.

Starting with Update Pack 3, “Security” and “Multimedia” become part of “Linux Mint Debian Latest”. When Update Pack 3 is made available, your sources will need to change and all of them will then point at Linux Mint. In the meantime, it is recommended not to apply updates coming from “Security” and “Multimedia”, as they might not be compatible with the packages in Update Pack 2.

http://blog.linuxmint.com/?p=1818
or this viewtopic.php?f=185&t=82346

now, i think it's a bit to late, your system is updated, you got newer pkgs from debian.multimedia that are out of sync with the rest of your repos (mirrored by mint repos);

you can try to put the repos again in order (as per the last link i gave) and see if that solves the issue;
if it doesn't, you have 2 options:
- wait until UP4 and your repos will be fully synced;
- if you really need those apps now enable temporary the testing repo, update, install the apps you need and disable those repos again;

let us know if you need any help
zerozero
Level 16
Level 16
 
Posts: 6471
Joined: Tue Jul 07, 2009 2:29 pm

Re: Whats wrong with the deb repostories?

Postby 2chunky on Sun Jan 15, 2012 10:28 pm

Thank you, no I havent seen that info .Not following the blog.My fault.Its no problem for me to reload OS.My files are stored on large external drives formatted fat32 so they can be easily accessed.Fixing to run external raid.TB's. I run two large internal drives for OS'S,, a lot of wasted space.These days cheap is large internal drives.Yes I am heavy multimedia user.Its a problem debian still running antique blender files.I will look into the repositories files.Who knows maybe I can work in blender 2.61 instead of 2.49. Thank you for your help.
2chunky
Level 1
Level 1
 
Posts: 36
Joined: Sun Nov 13, 2011 10:51 pm

Re: Whats wrong with the deb repostories?

Postby zerozero on Sun Jan 15, 2012 10:44 pm

if you reinstall and check the repos before updating (and then update/dist-upgrade) you should get (with the latest UP) blender 2.58
http://packages.qa.debian.org/b/blender ... 3911Z.html
(this with the standard and correctly synced repos), but there's new versions available
http://packages.debian.org/search?suite ... ds=blender
  • ( a new version in testing and a newer in sid)
  • with each of those might come some "danger" to your install;
  • you are pulling a pkg from another release into yours;
  • you have to make sure all deps are satisfied;
  • and there's sometimes the problem (some apps have lots of deps and rend the system unstable - it's arisk you have to take if you want the latest&greatest)

best of luck whatever you do 8)
zerozero
Level 16
Level 16
 
Posts: 6471
Joined: Tue Jul 07, 2009 2:29 pm

Re: Whats wrong with the deb repostories?

Postby 2chunky on Sun Jan 15, 2012 10:58 pm

Thank you,Yes 2.58 is a big improvement.Yes I know about the dangers.Two well known distros loaded with multimedia both crash a lot.Mine did today, have to reload.If mint updates multimedia its going to draw a lot of users.I can build a pretty good build from mint debian but to much multimedia doesnt like each other because they share deps I guess.Like ffmpeg.I use mint when I can..And thank you again,thats going to help me.
2chunky
Level 1
Level 1
 
Posts: 36
Joined: Sun Nov 13, 2011 10:51 pm

Linux Mint is funded by ads and donations.
 

Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 4 guests